Package fr.gouv.vitam.functional.administration.core.archiveunitprofiles

# Interface ArchiveUnitProfileService

All Superinterfaces:
  `AutoCloseable`, `VitamAutoCloseable`

All Known Implementing Classes:
  `ArchiveUnitProfileServiceImpl`

public interface ArchiveUnitProfileService extends VitamAutoCloseable
This service manages CRUD on Archive unit profiles

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestResponse<ArchiveUnitProfileModel>`
  `createArchiveUnitProfiles(List<ArchiveUnitProfileModel> profileModelList)`
  Create a collections of profile After passing the validation steps.
  `RequestResponseOK<ArchiveUnitProfileModel>`
  `findArchiveUnitProfiles(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  find archive unit profiles by QueryDsl
  `RequestResponse<ArchiveUnitProfileModel>`
  `updateArchiveUnitProfile(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update an archive unit profile after passing validation steps : Field modified : - ActivationDate - DesactivationDate - LastUpdate - Status

  ### Methods inherited from interface fr.gouv.vitam.common.model.VitamAutoCloseable

  `close`

- ## Method Details

  - ### createArchiveUnitProfiles

    RequestResponse<ArchiveUnitProfileModel> createArchiveUnitProfiles(List<ArchiveUnitProfileModel> profileModelList) throws VitamException
    Create a collections of profile After passing the validation steps. If all the profiles are valid, they are stored in the collection and indexed. The profiles are not valid in the following situations :
    - The collection contains 2 ore many profile having the same identifier
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many profile already exist in the database
    Parameters:
      `profileModelList` - the list of profiles to be created
    Returns:
      RequestResponseOK if success or VitamError
    Throws:
      `VitamException` - if in error occurs while validating contracts

  - ### findArchiveUnitProfiles

    RequestResponseOK<ArchiveUnitProfileModel> findArchiveUnitProfiles(com.fasterxml.jackson.databind.JsonNode queryDsl) throws ReferentialException, InvalidParseOperationException
    find archive unit profiles by QueryDsl
    Parameters:
      `queryDsl` - the query as a json to be executed
    Returns:
      list of ProfileModel
    Throws:
      `ReferentialException` - thrown if the query could not be executed
      `InvalidParseOperationException` - thrown if the query could not be executed

  - ### updateArchiveUnitProfile

    RequestResponse<ArchiveUnitProfileModel> updateArchiveUnitProfile(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws VitamException
    Update an archive unit profile after passing validation steps : Field modified :
    - - ActivationDate
    - - DesactivationDate
    - - LastUpdate
    - - Status
    Parameters:
      `id` - identifier of the archive unit profile to update
      `queryDsl` - the given dsl for update
    Returns:
      RequestResponseOK on success or VitamError else
    Throws:
      `VitamException` - if in error occurs while validating contracts